Search Task

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/task
API call form
Examples
List of examples
  • Retrieve a data export task
  • Retrieve the latest tasks for a schedule
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "29b8bb5a-e946-4cf6-8960-5a7ba1163e93",
      "type": "dataexport",
      "status": "completed",
      "entity_id": "625fb04c-47ca-42f1-98e5-a4307548355f",
      "schedule_id": null,
      "requested_at": "2026-09-23T13:14:02.000Z",
      "started_at": "2026-09-23T13:14:03.000Z",
      "completed_at": "2026-09-23T13:14:12.000Z",
      "error": null,
      "result": {
        "downloadUrl": "https://app.luzmo.com/data-export/29b8bb5a-e946-4cf6-8960-5a7ba1163e93?key=< key >&token=< token >",
        "expiresAt": 1790774052176
      }
    }
  ]
}